/**
 * Interface to allow any object that can act
 * to be in the simulation
 * @author Barb Ericson ericson@cc.gatech.edu
 * Georgia Tech 2005
 */

public interface Actionable extends Drawable
{
  // method to allow the item to act in the simulation
  public void act();
  
  // method to have this item die (remove from environment)
  public void die();
}